Redmine4.2.2安装部署

Redmine是基于ruby语言的开源版的 jira + Confluence,主要适用于中小团队。目前因内部需要做问题跟踪。

环境要求:
Redmine versionSupported Ruby versionsRails version
4.1 (upcoming)Ruby 2.3, 2.4, 2.5, 2.6Rails 5.2
4.0Ruby 2.2 (2.2.2 and later), 2.3, 2.4, 2.5, 2.6Rails 5.2
3.4Ruby 1.9.3, 2.0.0, 2.1, 2.2, 2.3, 2.4Rails 4.2

ruby gem安装

# ruby下载安装
https://cache.ruby-lang.org/pub/ruby/2.6/ruby-2.6.3.tar.gz
tar xzvf ruby-2.6.3.tar.gz
cd ruby-2.6.3
./configure --prefix=/usr/local/ruby
make && make install
# 修改环境变量
vim /etc/profile
export PATH=/usr/local/ruby/bin:$PATH
# gem安装
https://rubygems.org/rubygems/rubygems-3.0.4.zip
unzip rubygems-3.0.4.zip
cd rubygems-*
ruby setup.rb

修改ruby源为国内阿里源:

查找默认源
gem sources -l
移除默认源
gem sources --remove https://rubygems.org/ 
添加新源
gem sources -a https://mirrors.aliyun.com/rubygems/
gem sources -a https://mirrors.tuna.tsinghua.edu.cn/rubygems/ (推荐清华源,我在使用阿里源安装文件超时)

rails框架可以使用gem install rails -v=5.2.6 进行安装,也可以通过bundle自已查找依赖进行安装 。先说安装 bundle,如下:

gem install rake
gem install bundle

redmine安装

数据库配置使用的mysql

mysql数据库安装不做描述。

CREATE DATABASE redmine CHARACTER SET utf8;
CREATE USER 'redmine'@'localhost' IDENTIFIED BY 'mypassword';
GRANT ALL PRIVILEGES ON redmine.* TO 'redmine'@'localhost';
redmine下载
Redmine链接 https://www.redmine.org/projects/redmine/wiki/Download
wget http://www.redmine.org/releases/redmine-4.2.2.tar.gz
tar zxvf redmine-4.2.2.tar.gz
mv redmine-4.2.2 redmine

修改数据库配置,Copy config/database.yml.example to config/database.yml ,修改database.yml的内容如下:

production:
  adapter: mysql2
  database: redmine
  host: localhost
  username: redmine
  password: "my_password" 
安装依赖包

依赖包有两种,一种是OS系统依赖包,另一个是ruby需要依赖的包。先说前者,主要是ImageMagick相关包

yum install ImageMagick ImageMagick-devel

后者依赖包,会比较多,安装方式有两种,一种是出现个使用gem指定包名称和版本号装一个,另一种是使用bundle一键搞定。先说前者如何知道依赖什么:

[root@ config]# rake db:migrate RAILS_ENV="production"
(in /opt/redmine)
Could not find gem 'rails (= 5.2.6 )' in any of the gem sources listed in your Gemfile.
Run `bundle install` to install missing gems.

进行数据库表结构创建操作的时候,如果缺少相关依赖会报错缺少的包名称和版本号。所需依赖关系

gem install rails -v=5.2.6
gem install rouge -v=3.26.0
gem install request_store -v=1.5.0
gem install mini_mime -v=1.0.1
gem install actionpack-xml_parser 
gem install roadie-rails -v=2.2.0
gem install csv -v=3.1.1
gem install nokogiri -v=1.11.1
gem install rbpdf -v=1.20.0
gem install rubyzip -v=2.3.0
gem install rotp   
gem install net-ldap -v=0.17.0
gem install ruby-openid -v=2.9.2
gem install ruby-openid 
gem install rack-openid 
gem install mini_magick -v=4.11.0
gem install redcarpet -v=3.5.1
gem install mysql2 -v=0.5.0
gem install yard 
gem install mocha -v=1.4.0
gem install simplecov -v=0.18.5
gem install puma 
gem install capybara -v=3.31.0
gem install selenium-webdriver 
gem install webdrivers -v=4.4
gem install rubocop -v=1.12.0
gem install rubocop-performance -v=1.10.1
gem install rubocop-rails -v=2.9.0

这里介绍下如何使用bundle进行安装。bundle默认不让使用root安装,需要创建一个普通用户,就是启动redmine进程的用户www吧。对该用户需要配置sudo权限,因为其中一些操作是需要使用root身份的。
需要注意,切换用户后,默认使用的源还是官方源,这个是在用户系统目前下配置的,所以切换为www用户后,重复上面切换源的步骤。

安装sudo

yum install sudo
进入root用户,打开sudoers文件

su root //进入root用户

vim /etc/sudoers //打开sudo的配置文件

## Next comes the main part: which users can run what software on 
## which machines (the sudoers file can be shared between multiple
## systems).
## Syntax:
##
##      user    MACHINE=COMMANDS
##
## The COMMANDS section may have other options added to it.
##
## Allow root to run any commands anywhere 
root    ALL=(ALL)       ALL
www     ALL=(ALL)       ALL
bundle install --without development test  //只能用普通用户执行,需要给该用户sudo权限
如果有系统依赖包不存在时,会有错误提示
上面gem安装完成这里跳过
[root@ config]# rake db:migrate RAILS_ENV="production"
上述依赖关系安装好,进行数据库表结构创建操作
生成秘钥,导入表结构

使用以下命令可生成新的 session 密钥:

bundle exec rake generate_secret_token

使用如下指令进行表结构操作:

RAILS_ENV=production bundle exec rake db:migrate

该操作和上面rake db检查包依赖的指令是一样的。

使用以下命令导入初始数据,包括默认的问题类型、工作流程等:

RAILS_ENV=production REDMINE_LANG=zh bundle exec rake redmine:load_default_data

期间遇到如下报错:
Expected to find a manifest file in `app/assets/config/manifest.js

解决方法:

vim /app/assets/config/manifest.js  ##若目录不存在则创建

//= link_tree ../images
//= link_directory ../javascripts .js
//= link_directory ../stylesheets .css
启动服务

默认使用如下指令启服务,默认监听端口3000:

bundle exec rails server webrick -e production -b 0.0.0.0

指定端口启动

 bundle exec rails server -b 0.0.0.0 -p 8080 webrick -e production -d

默认的登录名和密码都是 admin 。登陆第一次会要求修改用户名和密码

Redmine邮件配置

[root@config]# mv configuration.yml.example configuration.yml
[root@ config]# vim configuration.yml
注意配置文件格式对齐问题

参考:https://blog.csdn.net/rulon147/article/details/48729437

添加用户邮件收件箱连接地址修改

[root@ config]# vim settings.yml
找到对应字段
host_name:
  default: IP:port
  • 0
    点赞
  • 2
    收藏
  • 打赏
    打赏
  • 0
    评论

“相关推荐”对你有帮助么?

  • 非常没帮助
  • 没帮助
  • 一般
  • 有帮助
  • 非常有帮助
提交
©️2022 CSDN 皮肤主题:大白 设计师:CSDN官方博客 返回首页
评论

打赏作者

love8753

你的鼓励将是我创作的最大动力

¥2 ¥4 ¥6 ¥10 ¥20
输入1-500的整数
余额支付 (余额:-- )
扫码支付
扫码支付:¥2
获取中
扫码支付

您的余额不足,请更换扫码支付或充值

打赏作者

实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、C币套餐、付费专栏及课程。

余额充值